2024-06-26 00:48 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003512StuntCarRacer[WHDLoad Installs Games] slavepublic2023-07-10 18:33
ReporterHexaae 
Assigned ToProject InfoStunt Car Racer (Microstyle)
http://www.whdload.de/games/StuntCarRacer.html
 
PrioritynormalSeveritymajorReproducibilityalways
StatusfeedbackResolutionreopened 
Summary0003512: Buttonwait bug
DescriptionWhen BW is enabled, and at intro screen you press a key (e.g. RETURN) and THEN joystick fire button to proceed, the keyboard won't work anymore and you can't enter pilot name or quit via QUITKEY.
TagsNo tags attached.
MachineUAE
CPU68040
CPUSpeed50
ChipSetAGA
GFXCardPicasso II
ChipMem2 MB
FastMem0 MB
WorkbenchOS 3.9
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad18.2
imported
Attached Files

-Relationships
+Relationships

-Notes

note ~0011268

Hexaae (reporter)

This bug seems gone as I can't reproduce it anymore. Maybe was a WinUAE issue? I'm now using WinUAE 4.9.1.

My current tooltypes:
  SLAVE=StuntCarRacer.slave
  (NTSC)
  PRELOAD
  QUITKEY=$5d
  Custom2=1
  ExecuteStartup=
  ExecutePostDisk=C:uae-configuration cachesize 0 cpu_speed max cpu_compatible false cpu_cycle_exact true
  Config=C1:B:Cheat;C2:B:Turbo
  ButtonWait
  NoCache

note ~0011492

Hexaae (reporter)

Tested again today and NO it's not fixed: when you are at the "Insert your name:" screen keyboard won't work...

note ~0013026

StingRay (developer)

I have updated the patch, the keyboard problems have been fixed.

note ~0013032

Hexaae (reporter)

Unfortunately I can still reproduce it. Launch the game with BUTTONWAIT, press SPACE, then RETURN, then joystick FIRE button... I can't enter ply1 name or quit the game.

REQUEST:
Would be possible to move the screen a bit up (centered) when running with NTSC tooltype?

note ~0013033

Hexaae (reporter)

... weird, it seems random (timing dependent?). I reproduced it 3 times then I tried the 4th time and SPACE+RETURN+FIRE still worked fine...

note ~0013040

Hexaae (reporter)

Unfortunately I can still reproduce it randomly (it depends WHEN you press joy-fire after you pressed SPACE/RETURN?), let's say at least 1/5 times.

note ~0013041

StingRay (developer)

Sorry, but I will not look at this again, it is such a minor problem and made me waste too much time already. That it happens seemingly randomly doesn't make it any better. I will close this ticket, if I should be in the mood I may look at it again, but this will not happen anytime soon, if at all.

note ~0013045

Hexaae (reporter)

Believe me I understand StingRay, and I will be always thankful for your hard work keeping these games still alive and fixed on the Amiga, but... Why closing it and not leaving it as "acknowledged"? Maybe other devs can have a look? (Just asking, don't take it personally and don't get me wrong, but maybe is better to keep track of all bugs if actually still there to avoid duplicates)
+Notes

-Issue History
Date Modified Username Field Change
2016-08-05 13:35 Hexaae New Issue
2021-05-03 11:48 StingRay Status new => assigned
2021-05-03 11:48 StingRay Assigned To => StingRay
2022-05-01 12:11 Hexaae Note Added: 0011268
2022-06-27 16:29 Hexaae Note Added: 0011492
2023-07-08 06:55 StingRay Note Added: 0013026
2023-07-08 06:55 StingRay Status assigned => resolved
2023-07-08 06:55 StingRay Resolution open => fixed
2023-07-08 15:42 Hexaae Note Added: 0013032
2023-07-08 15:44 Hexaae Note Added: 0013033
2023-07-10 17:35 Hexaae Status resolved => feedback
2023-07-10 17:35 Hexaae Resolution fixed => reopened
2023-07-10 17:35 Hexaae Note Added: 0013040
2023-07-10 17:45 StingRay Note Added: 0013041
2023-07-10 17:46 StingRay Status feedback => resolved
2023-07-10 17:46 StingRay Resolution reopened => won't fix
2023-07-10 17:46 StingRay Status resolved => closed
2023-07-10 18:29 Hexaae Status closed => feedback
2023-07-10 18:29 Hexaae Resolution won't fix => reopened
2023-07-10 18:29 Hexaae Note Added: 0013045
2023-07-10 18:33 StingRay Assigned To StingRay =>
+Issue History